Record a kind of parking on a lease
POST
/api/leases/{leaseId}/parking-rights
const url = 'https://api.getvespy.com/api/leases/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/parking-rights';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"billingScheduleId":null,"effectiveEnd":null,"effectiveStart":"2026-04-15","location":null,"notes":null,"parkingType":"unreserved","rateBasis":"fixed","rateFrequency":null,"ratePerSpaceCents":null,"ratioPer1000Sqft":null,"recurringChargeRuleId":null,"spaceCount":null,"stallLabels":null,"stallUnitIds":[]}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.getvespy.com/api/leases/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/parking-rights \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "billingScheduleId": null, "effectiveEnd": null, "effectiveStart": "2026-04-15", "location": null, "notes": null, "parkingType": "unreserved", "rateBasis": "fixed", "rateFrequency": null, "ratePerSpaceCents": null, "ratioPer1000Sqft": null, "recurringChargeRuleId": null, "spaceCount": null, "stallLabels": null, "stallUnitIds": [] }'Records the terms only. Linking to a parking charge on the same lease is optional, and stalls can be linked to parking spaces at the lease’s property or written as free text.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”leaseId
required
string format: uuid
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
effectiveStart
required
string format: date
parkingType
required
string
rateBasis
string
stallUnitIds
Array<string>
Responses
Section titled “Responses”Default Response
Media typeapplication/json
object
parkingRight
required
object
createdAt
required
string format: date-time
effectiveStart
required
string format: date
id
required
string format: uuid
leaseId
required
string format: uuid
linkedCharge
required
organizationId
required
string format: uuid
parkingType
required
string
rateBasis
required
string
stallUnitIds
required
Array<string>
stallUnitNumbers
required
Array<string>
updatedAt
required
string format: date-time
Example
{ "parkingRight": { "linkedCharge": { "kind": "billing_schedule" }, "parkingType": "unreserved", "rateBasis": "fixed", "rateFrequency": "monthly" }}Default Response
Media typeapplication/json
object
code
string
errors
Array<object>
object
code
required
string
message
required
string
path
required
string
message
required
string
Examplegenerated
{ "code": "example", "errors": [ { "code": "example", "message": "example", "path": "example" } ], "message": "example"}Default Response
Media typeapplication/json
object
code
string
errors
Array<object>
object
code
required
string
message
required
string
path
required
string
message
required
string
Examplegenerated
{ "code": "example", "errors": [ { "code": "example", "message": "example", "path": "example" } ], "message": "example"}Default Response
Media typeapplication/json
object
code
string
errors
Array<object>
object
code
required
string
message
required
string
path
required
string
message
required
string
Examplegenerated
{ "code": "example", "errors": [ { "code": "example", "message": "example", "path": "example" } ], "message": "example"}Default Response
Media typeapplication/json
object
code
string
errors
Array<object>
object
code
required
string
message
required
string
path
required
string
message
required
string
Examplegenerated
{ "code": "example", "errors": [ { "code": "example", "message": "example", "path": "example" } ], "message": "example"}